#include <stdint.h>
#include "accel3.h"

sbit ACCEL_3_CS at RE0_bit;
sbit ACCEL_3_CS_DIR at TRISE0_bit;

void main()
{
  uint8_t address = 0x18;
  xyz_t* my_coords;
  char text[50];
  int16_t x;
  int16_t y;
  int16_t z;

    //GPIO Outputs
  ACCEL_3_CS_DIR = 0;
  Delay_ms(300);


    //I2C
  I2C1_Init( 100000 );
  Delay_ms(500);
  
   //Accel 3 Initialization
  accel3_init( address, NORMAL, HZ_100, I2C );
  accel3_hp_filter_mode_select( HP_NORMAL_MODE );
  accel3_filtered_data_selection_enable( true );
  

    //UART Initialization
  UART1_Init( 57600 );
  Delay_ms(300);

  UART1_Write_Text( "UART Initialized" );
  UART1_Write_Text( "\r\n" );

  while(1)
  {
     my_coords = accel3_get_xyz_raw();
       
     x = my_coords->x_pos;
     y = my_coords->y_pos;
     z = my_coords->z_pos;

     IntToStr( x, text );
     UART1_Write_Text( " x: " );
     UART1_Write_Text( text );
     IntToStr( y, text );
     UART1_Write_Text( " y: " );
     UART1_Write_Text( text );
     IntToStr( z, text );
     UART1_Write_Text( " z: " );
     UART1_Write_Text( text );
     
     UART1_Write_Text( "\r\n" );
     Delay_ms(1000);
  }

}
